{% extends "base.html" %}
{% load datetime qrcode %}

{% block page_name %}
{{ schedule.date|strftime:"%Y-%m-%d" }} - {{ summit.title }}
{% endblock %}

{% block extrahead %}
{{ block.super }}
  <link rel="stylesheet" type="text/css" media="screen" href="/media/css/schedule.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="{{ubuntu_website_media}}/css/schedule.css" />
{% if schedule.edit %}
  <script language="JavaScript">
  {{ schedule.js_data|safe }}
  </script>
  <script language="JavaScript" src="/media/ajax.js"></script>
  <script language="JavaScript" src="/media/schedule/schedule.js"></script>
{% endif %}

{% if not schedule.edit %}
<script language="JavaScript">

function timedRefresh()
{
    var timeoutPeriod = 5*60*1000; // 5 minutes
	setTimeout("location.reload(true);", timeoutPeriod);
}
window.onload = timedRefresh;
</script>
{% endif %}

<script type="text/javascript">
function updateTimer() {
    var secAgo = document.getElementById('refresh-time');
    secAgo.innerHTML = Number(secAgo.innerHTML) + 1;
}
function starttimer() {
    setInterval(updateTimer, 1000);
}
window.addEventListener('load', starttimer());
</script>

{% endblock %}

{% block sub_nav_links %}
{% if schedule.edit %}
    <li><a class="sub-nav-item" href="{{ request.url }}?">Read only</a></li>
{% else %}
    {% if can_change_agenda %}
        <li><a class="sub-nav-item" href="{{ request.url }}?edit">Edit</a></li>
    {% endif %}
{% endif %}
{% if ical %}
<li><a class="sub-nav-item" href="{{ ical }}">iCal feed</a></li>
{% endif %}
<li><a class="sub-nav-item" href="{% url summit.schedule.views.daily_schedule summit.name viewdate|date:"Y-m-d" %}">List display</a></li>
{% endblock %}

{% block content %}
    <div class="schedule-head">
    {% if summit.qr %}
        {{summit.qr|qrcode}}
    {% else %}
        {{summit.get_absolute_url|qrcode}}
    {% endif %}
    <span class="schedule-date">
		<a href="{% url summit.schedule.views.by_date summit.name previousday|date:"Y-m-d" %}?{% if schedule.edit %}edit{% endif %}{% if is_popup %}&_popup=1{% endif %}">&lt;</a> {{ schedule.date|strftime:"%A" }} <a href="{% url summit.schedule.views.by_date summit.name nextday|date:"Y-m-d" %}?{% if schedule.edit %}edit{% endif %}{% if is_popup %}&_popup=1{% endif %}">&gt;</a></span>
    {% if schedule.crew %}
    <span class="schedule-crew">Crew: {% for crew in schedule.crew %}<a href="https://launchpad.net/~{{crew.attendee.user.username}}">{{crew.attendee.name}}</a>{% if forloop.last %}{% else %}, {% endif %}{% endfor %}
    </span>
    {% endif %}
    </div>

{{ schedule.debug }}

{% endblock %}
